Bug 697653

Summary: Providing native systemd file for upcoming F15 Feature Systemd
Product: [Fedora] Fedora Reporter: Jóhann B. Guðmundsson <johannbg>
Component: psacctAssignee: Jaromír Cápík <jcapik>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jgorig, lpoetter, ovasik, valdis.kletnieks
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-07-19 09:41:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 713562    
Attachments:
Description Flags
Native systemd service file for psacct
none
Spec file which introduce systemd unit file and drop SysV support for psacct.service none

Description Jóhann B. Guðmundsson 2011-04-18 16:45:14 EDT
Created attachment 493004 [details]
Native systemd service file for psacct

Description of problem:

The attached file is a native systemd file for upcoming F15 Feature [1]

Please read [2] on how to packaging and installing systemd Service files.

To learn more about Systemd daemon see [3].

To view old SysV with the new Systemd site by site see for your component see [4]

If you have any question dont hesitate to ask them on this bug report.

1.http://fedoraproject.org/wiki/Features/systemd

2.https://fedoraproject.org/wiki/Systemd_Packaging_Draft

3.http://0pointer.de/public/systemd-man/daemon.html

4.https://fedoraproject.org/wiki/User:Johannbg/QA/Systemd/compatability 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2011-04-26 13:35:38 EDT
Moving systemd service RFEs to rawhide.

At this point, it is not appropriate in the Fedora 15 cycle to add these. Furthermore, at this point, we are still finalizing the packaging guidelines to handle SysV -> systemd upgrades.

We therefore request:
- wait until there are packaging guidelines (this will be announced on the devel list). This ensures that upgrades will work smoothly and we/you won't have to do multiple sets of changes.
- work on these sorts of changes for Fedora 16 where necessary, not Fedora 15, as we're trying to fix things for release.
- do *not* change a service from SysV to systemd in an existing release (such as Fedora 15), as this is the sort of behavior change that goes against our update policy, documented as https://fedoraproject.org/wiki/Updates_Policy
Comment 2 Fedora Admin XMLRPC Client 2011-05-12 05:17:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jóhann B. Guðmundsson 2011-06-27 08:21:52 EDT
What's the current status on this?

We need this in rawhide the sooner the better.

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
http://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 4 Jóhann B. Guðmundsson 2011-06-27 08:40:27 EDT
Created attachment 510087 [details]
Spec file which introduce systemd unit file and drop SysV support for psacct.service
Comment 5 Jaromír Cápík 2011-06-29 14:13:45 EDT
psacct-6.5.5-3.fc16 has been built ...

http://koji.fedoraproject.org/koji/taskinfo?taskID=3170015

Please, test ...
Comment 6 Valdis Kletnieks 2011-07-12 11:23:39 EDT
Had to do a manual 'systemctl enable psacct' to actually get it started.  So somebody needs to work on the packaging guidelines a bit more, I suspect - maybe it needs to do a 'chkconfig' for the SysV and do an 'enable' if the old SysV init file was enabled?  Of course, this gets hairy - in the preinst RPM script, you don't have the 'psacct.service' file in place yet so you cant do a "systemctl enable", and in postinst the SysV script is gone...  I'll leave that perplexing detail to somebody who understands RPM better than I.
Comment 7 Jóhann B. Guðmundsson 2011-07-12 11:31:26 EDT
has psacct been granted exception from fesco to be enabled by default? 

And note on updates from legacy to sysv init script end users will need to enable the service had it been previously enabled themselfs again..
Comment 8 Jóhann B. Guðmundsson 2011-07-12 11:34:06 EDT
T(In reply to comment #7)
> has psacct been granted exception from fesco to be enabled by default? 
> 
> And note on updates from legacy to sysv init script end users will need to
> enable the service had it been previously enabled themselfs again..

That is if it's not enabled by default..
Comment 9 Jóhann B. Guðmundsson 2011-07-12 11:36:41 EDT
Oh btw now that you ship native systemd service file for psacct you should close this bug as fixed to get it off the the bug tracker list radar ...
Comment 10 Valdis Kletnieks 2011-07-12 11:48:08 EDT
Oh, is *that* the criterion? "enabled by default", not "enabled on the system in question"?  That would explain a lot of the pain I've had with services disappearing on me as they convert to systemd....

(If the release notes end up mentioning "you'll need to do a 'systemctl enable' for non-default stuff you turned on using chkconfig", that would address the issue I saw and you can close this bug)
Comment 11 Jaromír Cápík 2011-07-19 09:41:14 EDT
Thanks guys.

Closing.